cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Beginner
155 Views
Message 1 of 3

out of date security

Hi. When i use my BT  Essentials wi-fi extender 300 a windows 10 pop up  tells me its security is out of date. Is there any way of changing to a more up to date version? My broadband provider is Virgin.

0 Ratings
Reply
2 REPLIES 2
Highlighted
Distinguished Sage
Distinguished Sage
146 Views
Message 2 of 3

Re: out of date security

0 Ratings
Reply
Highlighted
Beginner
124 Views
Message 3 of 3

Re: out of date security

Thanks for the reply distinguished sage. Tried to open the latest firmware update but got a  the disc image file is corrupted message. The BT configuration tool does not list the extender 300.And now i cannot locate or open the BT configuration tool.Any more suggestions?

0 Ratings
Reply